## rock-master-20.06-ruby-gui-vizkit 0.1

=== ext/vizkittypelib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
rock_init(vizkit 1.0)
set(RUBY_USE_PROJECT_INSTALL_PREFIX TRUE)
include(RockRuby)

find_package(Gem COMPONENTS rice)
pkg_check_modules(TYPELIB "rtt_typelib-${OROCOS_TARGET}")
pkg_check_modules(TYPELIBRUBY "typelib_ruby")
pkg_check_modules(QT "QtCore" REQUIRED)
include_directories(${QT_HEADER_DIR})
link_directories(${QT_LIBRARY_DIRS})

if (TYPELIB_FOUND AND TYPELIBRUBY_FOUND AND GEM_FOUND)
    rock_ruby_rice_extension(vizkittypelib MODULE
	MOC TypelibToQVariant.cpp
        DEPS_PKGCONFIG rtt_typelib-${OROCOS_TARGET} typelib_ruby)
    target_link_libraries(vizkittypelib
        ${QT_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} 
        ${GEM_LIBRARIES})

    rock_ruby_rice_extension(TypelibQtAdapter MODULE
	MOC TypelibQtAdapter.cpp
        DEPS_PKGCONFIG rtt_typelib-${OROCOS_TARGET} typelib_ruby)
    target_link_libraries(TypelibQtAdapter
        ${QT_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} 
        ${GEM_LIBRARIES})
else()
    if (NOT TYPELIB_FOUND)
        message(FATAL_ERROR "cannot find typelib")
    elseif (NOT TYPELIBRUBY_FOUND)
        message(FATAL_ERROR "cannot find typelib's ruby bindings")
    elseif (NOT GEM_FOUND)
        message(FATAL_ERROR "cannot find the rice gem")
    endif()
endif()

=== debian/changelog ===
rock-master-20.06-ruby-gui-vizkit (0.1-1~buster) UNRELEASED; urgency=medium

  * Package automatically built using 'apaka'
  * repository: github:/rock-core/gui-vizkit.git
  * branch: refs/heads/master
  * commit: 0baffb0768faf1fbf82065d7c7ffdc3e03ddd09e
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Wed, 16 Sep 2020 00:00:01 +0200

=== debian/control ===
Source: rock-master-20.06-ruby-gui-vizkit
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: debhelper, gem2deb, rake, rake (>= 0.8), rake-compiler (>= 0.8.0), rock-master-20.06-ruby-hoe-yard, , rock-master-20.06-ruby-utilrb, automake, autoconf, build-essential, libqt4-dev, qt4-qmake, libqt4-opengl-dev, qt4-designer, libqtwebkit-dev, rock-master-20.06-base-cmake, rock-master-20.06-drivers-orogen-transformer, rock-master-20.06-ruby-tools-orocos.rb, rock-master-20.06-gui-rock-widget-collection, rock-master-20.06-ruby-base-scripts, rock-master-20.06-gui-vizkit3d, rock-master-20.06-ruby-rice, ruby-hoe, rock-master-20.06-ruby-qtbindings, rock-master-20.06-ruby-yard, dh-autoreconf
Standards-Version: 4.1.3
Vcs-Git:
Vcs-Browser:
Homepage: http://rock-robotics.org
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: rock-master-20.06-ruby-gui-vizkit
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: automake, autoconf, build-essential, libqt4-dev, qt4-qmake, libqt4-opengl-dev, qt4-designer, libqtwebkit-dev, rock-master-20.06-base-cmake, rock-master-20.06-drivers-orogen-transformer, rock-master-20.06-ruby-tools-orocos.rb, rock-master-20.06-gui-rock-widget-collection, rock-master-20.06-ruby-base-scripts, rock-master-20.06-gui-vizkit3d, rock-master-20.06-ruby-rice, ruby-hoe, rock-master-20.06-ruby-hoe-yard, rock-master-20.06-ruby-qtbindings, rake, rock-master-20.06-ruby-yard, ruby
Description: Provides a Qt ruby based framework for visualisation of rock data items
 .
 .
 .
 .

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_OPTIONS=nocheck
SHELL := /bin/bash
arch=$(shell gcc -print-multiarch)
ruby_ver=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['ruby_version']")
ruby_arch_dir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['archdir']")
ruby_libdir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']")
rockruby_archdir=$(subst /usr,,$(ruby_arch_dir))
rockruby_libdir=$(subst /usr,,$(ruby_libdir))

master2006_install_dir = /opt/rock/master-20.06
env_setup =  PATH=$(master2006_install_dir)/bin:$$PATH
env_setup += HOME=/home/ 
env_setup += RUBYLIB=$(master2006_install_dir)/$(rockruby_libdir):$(master2006_install_dir)/$(rockruby_archdir):$(master2006_install_dir)/lib/ruby/vendor_ruby/standard:$(master2006_install_dir)/lib/ruby/vendor_ruby/core:$(master2006_install_dir)/lib/ruby/vendor_ruby:$$RUBYLIB
env_setup += PKG_CONFIG_PATH=$(master2006_install_dir)/lib/pkgconfig:$(master2006_install_dir)/lib/$(arch)/pkgconfig:/usr/share/pkgconfig:/usr/lib/$(arch)/pkgconfig:$$PKG_CONFIG_PATH
env_setup += Rock_DIR=$(master2006_install_dir)/share/rock/cmake:$$Rock_DIR
env_setup += LD_LIBRARY_PATH=$(master2006_install_dir)/lib:$(master2006_install_dir)/lib/$(arch):$$LD_LIBRARY_PATH
env_setup += CMAKE_PREFIX_PATH=$(master2006_install_dir):$$CMAKE_PREFIX_PATH
env_setup += OROGEN_PLUGIN_PATH=$(master2006_install_dir)/share/orogen/plugins:$$OROGEN_PLUGIN_PATH
export TYPELIB_CXX_LOADER=castxml
export DEB_CPPFLAGS_APPEND=-std=c++11
export npm_config_cache=/tmp/npm
rock_library_dirs=$(master2006_install_dir)/lib:$(master2006_install_dir)/lib/$(arch):
rock_base_install_dir=/opt/rock
rock_release_install_dir=/opt/rock/master-20.06
rock_install_dir=/opt/rock/master-20.06/rock-master-20.06-ruby-gui-vizkit

env_setup += RUBY_CMAKE_INSTALL_PREFIX=debian/rock-master-20.06-ruby-gui-vizkit/opt/rock/master-20.06/rock-master-20.06-ruby-gui-vizkit
debian_install_prefix = debian/rock-master-20.06-ruby-gui-vizkit/opt/rock/master-20.06/rock-master-20.06-ruby-gui-vizkit

export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	for file in `find $(rock_release_install_dir)/*/env.sh ! -empty -type f -name env.sh`; do source "$$file"; done; $(env_setup) dh $@ --buildsystem=ruby --with ruby



override_dh_auto_install:
	echo "Apaka's override_dh_auto_install called"
	dh_auto_install 
	mkdir -p $(debian_install_prefix)
	cp -R debian/rock-master-20.06-ruby-gui-vizkit/usr/* $(debian_install_prefix)/
	rm -rf debian/rock-master-20.06-ruby-gui-vizkit/usr/*

define export_variable
	find $(debian_install_prefix) -type f -name '*$2' -exec dirname {} + | grep -v CMakeFiles | uniq | xargs -i printf "$1={}:\$${$1}\nexport $1\n" >> $(debian_install_prefix)/env.sh
	sed -i s#$(debian_install_prefix)#$(rock_install_dir)#g $(debian_install_prefix)/env.sh
	find $(debian_install_prefix) -type f -name '*$2' -exec dirname {} + | grep -v CMakeFiles | uniq | xargs -i printf "$1 {}\n" >> $(debian_install_prefix)/env.yml.append
	sed -i s#$(debian_install_prefix)#$(rock_install_dir)#g $(debian_install_prefix)/env.yml.append
endef

override_dh_installdocs:
	echo "Apaka's override_dh_installdocs called"
	$(if $(wildcard $(debian_install_prefix)/bin/*),-printf "PATH=$(rock_install_dir)/bin:\$${PATH}\nexport PATH\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/bin/*),-printf "PATH $(rock_install_dir)/bin\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/*),-printf "CMAKE_PREFIX_PATH=$(rock_install_dir):\$${CMAKE_PREFIX_PATH}\nexport CMAKE_PREFIX_PATH\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/*),-printf "CMAKE_PREFIX_PATH $(rock_install_dir)\n" >> $(debian_install_prefix)/env.yml.append)
	$(call export_variable,CMAKE_PREFIX_PATH,\.cmake)
	$(call export_variable,PKG_CONFIG_PATH,\.pc)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/$(ruby_ver)/*),-printf "RUBYLIB=$(rock_install_dir)/lib/ruby/$(ruby_ver):\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/$(ruby_ver)/*),-printf "RUBYLIB $(rock_install_dir)/lib/ruby/$(ruby_ver)\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/$(ruby_ver)/*),-printf "RUBYLIB=$(rock_install_dir)/lib/$(arch)/ruby/$(ruby_ver):\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/$(ruby_ver)/*),-printf "RUBYLIB $(rock_install_dir)/lib/$(arch)/ruby/$(ruby_ver)\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/site_ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/site_ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/site_ruby/*),-printf "RUBYLIB $(rock_install_dir)/lib/site_ruby\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/site_ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/$(arch)/site_ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/site_ruby/*),-printf "RUBYLIB $(rock_install_dir)/lib/$(arch)/site_ruby\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/vendor_ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/ruby/vendor_ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/vendor_ruby/*),-printf "RUBYLIB $(rock_install_dir)/lib/ruby/vendor_ruby\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/vendor_ruby/$(ruby_ver)/*),-printf "RUBYLIB=$(rock_install_dir)/lib/$(arch)/ruby/vendor_ruby/$(ruby_ver):\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/vendor_ruby/$(ruby_ver)/*),-printf "RUBYLIB $(rock_install_dir)/lib/$(arch)/ruby/vendor_ruby/$(ruby_ver)\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/vendor_ruby/standard/*),-printf "RUBYLIB=$(rock_install_dir)/lib/ruby/vendor_ruby/standard:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/vendor_ruby/standard/*),-printf "RUBYLIB $(rock_install_dir)/lib/ruby/vendor_ruby/standard\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/vendor_ruby/core/*),-printf "RUBYLIB=$(rock_install_dir)/lib/ruby/vendor_ruby/core:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/vendor_ruby/core/*),-printf "RUBYLIB $(rock_install_dir)/lib/ruby/vendor_ruby/core\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/ruby/*),-printf "RUBYLIB $(rock_install_dir)/lib/ruby\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/*),-printf "RUBYLIB=$(rock_install_dir)/lib/$(arch)/ruby:\$${RUBYLIB}\nexport RUBYLIB\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/ruby/*),-printf "RUBYLIB $(rock_install_dir)/lib/$(arch)/ruby\n" >> $(debian_install_prefix)/env.yml.append)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/*.so),-printf "LD_LIBRARY_PATH=$(rock_install_dir)/lib/$(arch):\$${LD_LIBRARY_PATH}\nexport LD_LIBRARY_PATH\n" >> $(debian_install_prefix)/env.sh)
	$(if $(wildcard $(debian_install_prefix)/lib/$(arch)/*.so),-printf "LD_LIBRARY_PATH $(rock_install_dir)/lib/$(arch)\n" >> $(debian_install_prefix)/env.yml.append)

=== debian/watch ===
version=3
https://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/vizkit .*/vizkit-(.*).tar.gz
